/*
 * Copyright 2022 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */
#include "pydoc_macros.h"
#define D(...) DOC(gr, qtgui, __VA_ARGS__)
/*
  This file contains placeholders for docstrings for the Python bindings.
  Do not edit! These were automatically extracted during the binding process
  and will be overwritten during the build process
 */


static const char* __doc_gr_qtgui_rfnoc_f15_display = R"doc(FFT Histogram/Waterfall display widget for RFNoC fosphor display


This block can consume one or two inputs, each vectors of unsigned 8-bit numbers. The vector length is  for both inputs.


The histogram display is a 2D display widget which does not only plot the current (average) FFT, but also the max-hold values for the FFT, and a histogram of the FFT (also averaged over time). For every FFT bin, it plots a histogram of power level distributions.


The first input contains the histogram data for the FFT histogram. It expects data in the following order:



Averaging over time must be done by the upstream blocks. This block only does the display, none of the calculations.


The second input contains FFT data for a waterfall display. It is simply a concatenation of FFT magnitude vectors (8-bit integers).

Constructor Specific Documentation:

Return a shared_ptr to a new instance of ettus::rfnoc_f15_display.

Create an instance of an RFNoC fosphor display

Args:
    fft_bins : Number of FFT bins. This is also the vector length of the inputs, and the x-axis dimension on both the histogram plot and the waterfall plot (if enabled).
    pwr_bins : The number of power bins histograms per FFT bin. This is also the y-axis dimension of the histogram plot. This must match the input provided (see block description).
    wf_lines : The depth of the waterfall plot history (or the y-axis dimension of waterfall plot).
    parent : The QWidget parent, if any.)doc";


static const char* __doc_gr_qtgui_rfnoc_f15_display_rfnoc_f15_display_0 = R"doc()doc";


static const char* __doc_gr_qtgui_rfnoc_f15_display_rfnoc_f15_display_1 = R"doc()doc";


static const char* __doc_gr_qtgui_rfnoc_f15_display_make = R"doc(FFT Histogram/Waterfall display widget for RFNoC fosphor display


This block can consume one or two inputs, each vectors of unsigned 8-bit numbers. The vector length is  for both inputs.


The histogram display is a 2D display widget which does not only plot the current (average) FFT, but also the max-hold values for the FFT, and a histogram of the FFT (also averaged over time). For every FFT bin, it plots a histogram of power level distributions.


The first input contains the histogram data for the FFT histogram. It expects data in the following order:



Averaging over time must be done by the upstream blocks. This block only does the display, none of the calculations.


The second input contains FFT data for a waterfall display. It is simply a concatenation of FFT magnitude vectors (8-bit integers).

Constructor Specific Documentation:

Return a shared_ptr to a new instance of ettus::rfnoc_f15_display.

Create an instance of an RFNoC fosphor display

Args:
    fft_bins : Number of FFT bins. This is also the vector length of the inputs, and the x-axis dimension on both the histogram plot and the waterfall plot (if enabled).
    pwr_bins : The number of power bins histograms per FFT bin. This is also the y-axis dimension of the histogram plot. This must match the input provided (see block description).
    wf_lines : The depth of the waterfall plot history (or the y-axis dimension of waterfall plot).
    parent : The QWidget parent, if any.)doc";


static const char* __doc_gr_qtgui_rfnoc_f15_display_set_frequency_range = R"doc()doc";


static const char* __doc_gr_qtgui_rfnoc_f15_display_set_waterfall = R"doc()doc";


static const char* __doc_gr_qtgui_rfnoc_f15_display_set_grid = R"doc()doc";


static const char* __doc_gr_qtgui_rfnoc_f15_display_set_palette = R"doc()doc";


static const char* __doc_gr_qtgui_rfnoc_f15_display_set_frame_rate = R"doc()doc";


static const char* __doc_gr_qtgui_rfnoc_f15_display_exec_ = R"doc()doc";


static const char* __doc_gr_qtgui_rfnoc_f15_display_qwidget = R"doc()doc";
